program x;
var i, l: integer;
    arq: text;
    nomearq: string;
begin
    if paramcount = 0 then
        nomearq := 'prn'
    else
        nomearq := paramstr(1);
    assign (arq, nomearq);
    rewrite (arq);
    writeln (arq);
    for i := 32 to 255 do
        begin
            write (arq, chr (i), ' ');
            if (i mod 16) = 15 then writeln (arq);
        end;
    write (arq, #$0c, #$0c);
    close (arq);
end.
